update_helper 0.1.0-rc3 icon indicating copy to clipboard operation
update_helper: ^0.1.0-rc3 copied to clipboard

[pending analysis]

Help you easier to control the update dialog. It also supports the feature that forces the app to update to continue using.

example/lib/main.dart

import 'package:flutter/material.dart';

void main() {
  runApp(const MaterialApp(home: MyApp()));
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();

    WidgetsBinding.instance.addPostFrameCallback((timeStamp) {
      // UpdateHelperMock.initial(context: context);
      // UpdateHelperForceMock.initial(context: context);
    });
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Plugin example app'),
      ),
      body: const Center(
        child: Text(''),
      ),
    );
  }
}
1
likes
--
pub points
62%
popularity

Publisher

verified publisher iconpub.vursin.com

Help you easier to control the update dialog. It also supports the feature that forces the app to update to continue using.

Repository (GitHub)
View/report issues

License

Icon for licenses.unknown (LICENSE)

Dependencies

flutter, http, package_info_plus, satisfied_version, universal_platform, url_launcher

More

Packages that depend on update_helper